#ifndef IBEA_H
#define IBEA_H

typedef void (*evaluate_function_t)(const double *x, double *y);

void ibea(evaluate_function_t evaluate,
          const size_t dimension,
          const size_t number_of_objectives,
          const double *lower_bounds,
          const double *upper_bounds,
          const size_t max_budget,
          coco_random_state_t *random_generator);

#endif
